textures/blackwhite/fog
{
	fogParms ( 1 1 1 ) 2000	//Normalized RGB, distance to opaque 104 130 25
	surfaceparm fog		//Must be used
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.6
	{
		map "textures/blackwhite/fog"
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{
		map "textures/blackwhite/fog"
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
}


textures/blackwhite/chrome
{
    qer_editorimage "textures/blackwhite/chrome.tga"
	qer_trans .85
	surfaceparm alphashadow
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm trans
	{
		map "textures/blackwhite/chrome.tga"
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map "textures/blackwhite/platform_tint2.tga"
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scale 2 2
	}
	{
		map "textures/blackwhite/platform_tint2.tga"
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scale 2 2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/blackwhite/chrome-overbounce
{
    qer_editorimage "textures/blackwhite/chrome.tga"
	qer_trans .85
	surfaceparm alphashadow
	surfaceparm nodamage
	surfaceparm slick
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm ob
	{
		map "textures/blackwhite/chrome.tga"
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map "textures/blackwhite/platform_tint2.tga"
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scale 2 2
	}
	{
		map "textures/blackwhite/platform_tint2.tga"
		blendFunc GL_DST_COLOR GL_ONE
		rgbGen identity
		tcGen environment
		tcMod scale 2 2
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/cel/ink_black
{
    qer_editorimage textures/blackwhite/noir.tga

    q3map_notjunc
    q3map_nonplanar
    q3map_bounce 0.0
    q3map_shadeangle 110
    q3map_texturesize 1 1
    q3map_invert                //inverts drawing surface for backfacing hull
    q3map_offset -1.5           //offsets surface by the specified distance

    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm nomarks

    sort 16

    {
        map textures/blackwhite/noir.tga
        rgbGen identity
    }
}

textures/blackwhite/water
{
    qer_trans .5
    q3map_globaltexture
    q3map_fancywater 1 0.5 0.5 0.5
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm water
    deformVertexes wave 64 sin .25 .25 0 .5
    cull disable
    {
        map "textures/blackwhite/water"
        blendFunc GL_src_alpha GL_one_minus_src_alpha
        alphaGen const 0.3  // Ajouter cette ligne pour définir la transparence globale à 50%
        rgbgen identity
        tcmod scale .75 .75
        tcmod scroll .01 .01
    }
    {
        map "textures/blackwhite/water"
        blendFunc GL_src_alpha GL_one_minus_src_alpha
        alphaGen const 0.3  // Ajouter cette ligne également
        tcmod scale -.75 -.75
        tcmod scroll .01 .01
    }
    {
        map $lightmap
        blendFunc GL_dst_color GL_zero
        rgbgen identity
    }
}


textures/blackwhite/slicky
{	
	qer_editorimage textures/blackwhite/gray.tga
    surfaceparm nodamage
    surfaceparm slick
    {
        map textures/blackwhite/gray.tga
    }
    {
        map $lightmap
        blendfunc filter
    }	
}

textures/blackwhite/water_green
{
    qer_editorimage textures/blackwhite/green.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 150
    q3map_lightsubdivide 128
	q3map_lightRGB 0.164706 1 0.219608
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/blackwhite/water_peach
{
    qer_editorimage textures/blackwhite/peach.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 250
    q3map_lightsubdivide 128
	q3map_lightRGB 1 0.666667 0.498039
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/blackwhite/water_pink
{
    qer_editorimage textures/blackwhite/pink.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 250
    q3map_lightsubdivide 128
	q3map_lightRGB 1 0.666667 1
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/blackwhite/water_yellowchelou
{
    qer_editorimage textures/blackwhite/yellowchelou.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 250
    q3map_lightsubdivide 128
	q3map_lightRGB 0.666667 0.666667 0
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/blackwhite/water_blue
{
    qer_editorimage textures/blackwhite/blue.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 200
    q3map_lightsubdivide 128
	q3map_lightRGB 0.188235 0.678431 0.92549
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/blackwhite/water_red
{
    qer_editorimage textures/blackwhite/red.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 200
    q3map_lightsubdivide 128
	q3map_lightRGB 1 0.286275 0.286275
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/blackwhite/water_turquoise
{
    qer_editorimage textures/blackwhite/turquoise.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 200
    q3map_lightsubdivide 128
	q3map_lightRGB 0 0.984314 1
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/blackwhite/water_purple
{
    qer_editorimage textures/blackwhite/purple.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 150
    q3map_lightsubdivide 128
	q3map_lightRGB 0.439216 0.12549 0.45098
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/blackwhite/water_orange
{
    qer_editorimage textures/blackwhite/orange.jpg
    surfaceparm trans
    surfaceparm nonsolid
    surfaceparm noimpact
	q3map_surfacelight 150
    q3map_lightsubdivide 128
	q3map_lightRGB 0.72549 0.482353 0
	{
   		blendFunc GL_DST_COLOR GL_ZERO
        alphaFunc GE128
        depthWrite
        rgbGen identity
    }
    {
        map $lightmap
        rgbGen identity
        depthFunc equal
    }	
}

textures/blackwhite/skynight
{ 
    qer_editorimage textures/blackwhite/skybox
	//q3map_sun .94 .91 .95 400 180 60
	q3map_surfacelight 500
	q3map_lightsubdivide 512
    surfaceparm sky
    surfaceparm nolightmap
    surfaceparm noimpact
    skyparms textures/blackwhite/skynight - -
}